Name:           python-panoptes-client
Version:        1.7.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This package is the Python SDK for Panoptes, the platform behind the Zooniverse. This module is intended to allow programmatic management of projects, providing high level access to the API for common project management tasks.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/zooniverse/panoptes-python-client
Source:         %{pypi_source panoptes_client}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'panoptes-client' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-panoptes-client
Summary:        %{summary}

%description -n python3-panoptes-client %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-panoptes-client docs,testing


%prep
%autosetup -p1 -n panoptes_client-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs,testing


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-panoptes-client -f %{pyproject_files}


%changelog
%autochangelog